# Class CLEG.ClegNode

java.lang.Object
org.jmol.symmetry.CLEG.ClegNode

Enclosing class:
  `CLEG`

public static class CLEG.ClegNode extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CALC_SET`
`static final String`
`CALC_SUB`
`static final String`
`CALC_SUBP`
`static final String`
`CALC_SUPER`
`static final String`
`CALC_SUPERP`
`static final String`
`TYPE_REFERENCE`

## Constructor Summary

Constructors
Constructor
Description
`ClegNode(CLEG.ClegData data, int index, String name)`

## Method Summary

Modifier and Type
Method
Description
`void`
`disable()`
`String`
`getCleanITAName()`
`String`
`getName()`
`boolean`
`isDefaultSetting()`
`boolean`
`setCalcNext(CLEG.ClegData data, String token)`
sup(i0, i1, indexMax, depthMax)
`String`
`setITAName(String name)`
`String`
`toString()`
`boolean`
`update(CLEG.ClegData data)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### TYPE_REFERENCE

public static final String TYPE_REFERENCE

See Also:
  - Constant Field Values

### CALC_SUB

public static final String CALC_SUB

See Also:
  - Constant Field Values

### CALC_SUBP

public static final String CALC_SUBP

See Also:
  - Constant Field Values

### CALC_SUPER

public static final String CALC_SUPER

See Also:
  - Constant Field Values

### CALC_SUPERP

public static final String CALC_SUPERP

See Also:
  - Constant Field Values

### CALC_SET

public static final String CALC_SET

See Also:
  - Constant Field Values

## Constructor Details

### ClegNode

public ClegNode(CLEG.ClegData data, int index, String name)

## Method Details

### disable

public void disable()

### setITAName

public String setITAName(String name)

### update

public boolean update(CLEG.ClegData data)

### getName

public String getName()

### getCleanITAName

public String getCleanITAName()

### isDefaultSetting

public boolean isDefaultSetting()

### setCalcNext

public boolean setCalcNext(CLEG.ClegData data, String token)
sup(i0, i1, indexMax, depthMax)

Parameters:
  `data` -
  `token` -
Returns:
  true if sytax is correct

### toString

public String toString()

Overrides:
  `toString` in class `Object`